Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Update template

Updates the body of an existing theme template. Requires admin scope.

PUT/themes/{theme_id}/templates/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Scopes:admin
Path parameters
theme_idstringrequired
idstringrequired

Template ID

Request body
requiredapplication/json
file_namestringrequired

File name including extension, e.g. about.html

bodystringrequired

Template content

Responses
200

Template updated

idstring
file_namestring
namestring
content_typestring
Allowed:htmlcssjs
bodystring
updated_onstring<date-time>
_linksobject
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v1/themes/string/templates/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "file_name": "string",
  "body": "string"
}'
Response
{
  "id": "string",
  "file_name": "string",
  "name": "string",
  "content_type": "html",
  "body": "string",
  "updated_on": "2019-08-24T14:15:22Z",
  "_links": {}
}

Was this page helpful?